This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 432101 - xemacs mangling dired alist and running amok
xemacs mangling dired alist and running amok
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 15:45 EST by Robert Story
Modified: 2009-01-09 00:57 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:57:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Story 2008-02-08 15:45:27 EST
Description of problem:
While editing C or C++ code in xemacs, I'm randomly getting errors while saving
or when auto-save runs. The mini-buffer flashes an error about dired alist being
mangled, and then the cursor jumps around in the buffer and some newlines are
inserted in the middle of existing lines.

Version-Release number of selected component (if applicable):
$ rpm -qa|grep xemac
xemacs-21.5.28-5.fc8
xemacs-packages-extra-20070427-1.fc8
xemacs-common-21.5.28-5.fc8
xemacs-packages-base-20070427-1.fc8


How reproducible:
Consistently happens, but not every time.

Steps to Reproduce:
1. use dired to list a directory with C source
2. edit a file enough for an auto-save to happen

  
Actual results:
dired error message, cursor jumps around and one or two newlines are inserted in
various places in the bufffer.

Expected results:
auto-save succeeds, no cursor jumping or newlines inserted

Additional info:
I tested:
- after removing all my init files
- on a new install of xemacs on a different machine for new user which had no
xemacs file
- tests on PPC and i386
Comment 1 Ville Skyttä 2008-02-08 16:21:14 EST
Could you test with the latest experimental upstream dired package?

$ mkdir -p ~/.xemacs/xemacs-packages
$ cd ~/.xemacs/xemacs-packages
$ wget http://ftp.xemacs.org/beta/experimental/packages/dired-1.19-pkg.tar.gz
$ tar zxvf dired-1.19-pkg.tar.gz

...and restart XEmacs, and see if you can still reproduce this?  Doing this will
cause some lisp load path shadows, but I believe they'd be pretty much harmless.

If needed, you can get rid of the above local test setup just by removing all
the files extracted from the tarball.
Comment 2 Robert Story 2008-02-08 17:08:08 EST
I installed it as directed, but I can't tell you if it fixed the original bug,
because the newer dired was basically unusable.

- Hitting enter while on top of a directory did not descend into the director
(reported that buffer 'dirname' was read-only)

- hitting 's' to resort by date would actually change to a different dired
buffer, etc

I gave up after that and deleted the new stuff.
Comment 3 Ville Skyttä 2008-02-10 12:27:46 EST
I cannot reproduce either of the problems in comment 2, the new dired seems to
work just fine for me (Enter descends, s sorts by date just fine without opening
new buffers or anything out of the ordinary).

Did you try the new dired with your existing init/custom files, or with clean ones?

Anyway, I've forwarded both issues from comments 1 and 2 upstream.
Comment 4 Robert Story 2008-02-11 11:17:30 EST
Without my stuff (mv .emacs .xemacs* /tmp). I've reverted to f7 rpms, which work
fine, even with my init/custom files.

xemacs-packages-extra-20061221-1.fc7.noarch.rpm
xemacs-packages-base-20061221-1.fc7.noarch.rpm
xemacs-packages-extra-20061221-1.fc7.noarch.rpm
xemacs-21.5.28-3.fc7.ppc.rpm

I also tried the new dired on my test i386 machine (with f8 rpms), and have a
little more information. If I start a single window, it seems to work fine.
However, try this:

-$ mkdir -p /tmp/xemacs/a /tmp/xemacs/b
-$ xemacs /tmp/xemacs
-create a second window: C-x-5-2
-now try enter to descend into a or b in either window. I get 'Buffer is read-only'.

Without the C-x-5-2 dired works fine.
Comment 5 Bug Zapper 2008-11-26 04:44:36 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:57:01 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.